GRIB_DUMP(1)

NAME
grib_dump

DESCRIPTION
Dump the content of a grib file in different formats.

USAGE
grib_dump [options] grib_file grib_file ...

OPTIONS

-O 	Octet mode. WMO documentation style dump.

-D 	Debug mode.

-d 	Print all data values.

-j 	JSON mode (JavaScript Object Notation).

-C 	C code mode. A C code program generating the grib message is dumped.

-t 	Print type information.

-H 	Print octet content in hexadecimal format.

-a 	Dump aliases.

-w key[:{s/d/l}]{=/!=}value,key[:{s/d/l}]{=/!=}value,...
    Where clause. Grib messages are processed only if they match all the key/value constraints. A valid constraint is of type key=value or key!=value. For each key a string (key:s) or a double (key:d) or a long (key:l) type can be specified. Default type is string.

-s key[:{s/d/l}]=value,key[:{s/d/l}]=value,...
    Key/values to set. For each key a string (key:s) or a double (key:d) or a long (key:l) type can be defined. By default the native type is set.

-M 	Multi-field support off. Turn off support for multiple fields in single grib message.

-T T | B | A	Message type. T->GTS, B->BUFR, A->Any (Experimental).
    The input file is interpreted according to the message type.

-7 	Does not fail when the message has wrong length

-V 	Version.

-X offset
    Input file offset in bytes. Processing of the input file will start from "offset".

-x 	Fast parsing option, only headers are loaded.

AUTHOR
This manpage has been autogenerated by Enrico Zini <enrico@debian.org>from the command line help of grib_dump.